Skip to main content
GET
/
api
/
v1
/
openclaw
/
threads
/
post
Post
curl --request GET \
  --url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/threads/post \
  --header 'Authorization: Bearer <token>'

Parameters

url
string
required
The URL of the post to get (e.g., https://www.threads.com/@trendspider/post/DIU8naHS6q_)
trim
boolean
Set to true for a trimmed down version of the response (e.g., false)

Example Request

curl -X GET "https://yoinkit.ai/api/v1/openclaw/threads/post?url=https://www.threads.com/@trendspider/post/DIU8naHS6q_" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "success": true,
  "data": {
    "post": {
      "id": "3608775792320555711_63069450921",
      "pk": "3608775792320555711",
      "user": { "pk": "63069450921", "username": "...", "profile_pic_url": "..." },
      "caption": { "text": "..." },
      "like_count": 123
    }
  },
  "meta": {
    "platform": "threads",
    "endpoint": "post",
    "request_id": "req_abc123"
  }
}
Response data is returned directly from the Yoinkit API.